# 39. Mutatie: aangepaste kleurschema's instellen voor geselecteerde "GeoMaps"

Stel aangepaste kleurenschema's in voor datalagen: "ZonesMaps", "SoilDatasets".&#x20;

Ondersteuning voor andere datalagen ("YieldDataset", "TopographyMaps", "SatelliteImages") wordt binnenkort toegevoegd.

Werk alle attributen van de "GeoMap" bij:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    korteNaam
    volledigeNaam
    beschrijving
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Bijwerk alleen kleurenschema's van de "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    korteNaam
    volledigeNaam
    beschrijving
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**BELANGRIJK** punten om te leren hoe je de mutatie gebruikt:

1. Attributen `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, en `korteNaam` zijn verplicht om de juiste "GeoMap" te identificeren die gewijzigd moet worden. Al deze drie attributen samen bepalen de uniekheid van de "GeoMap".
2. Of `soilDatasetUuid` of `vectorAnalysisMapUuid` attribuut moet per enkele "GeoMap" invoer worden gebruikt.
3. Waarde van `korteNaam` moet hetzelfde zijn als de oorsprong in de "GeoMap". Het is niet bewerkbaar.
4. Attributen `volledigeNaam`, `beschrijving`, `hexColorCodes` zijn bewerkbaar voor "ZonesMaps" en kunnen worden aangepast. De wijzigingen worden niet toegepast als het attribuut niet genoemd wordt.
5. Attributen `volledigeNaam`, `beschrijving`, `classes`, `hexColorCodes` zijn bewerkbaar voor "SoilDatasets" en kunnen worden aangepast. De wijzigingen worden niet toegepast als het attribuut niet genoemd wordt.
6. Arrays `classes` en `hexColorCodes`  moeten exact dezelfde lengte hebben als de oorsprong in de "GeoMap".
7. De lengte van de "GeoMaps"-arrays in het verzoek en de respons moet gelijk zijn. Zo niet, dan zijn sommige "GeoMaps" niet succesvol bewerkt.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/39.-mutatie-aangepaste-kleurschemas-instellen-voor-geselecteerde-geomaps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
